﻿using System;
using System.Windows.Forms;

namespace EsempioDecorator
{
    public partial class Form1 : Form
    {
        private ObjectStructure _objectStructure = new ObjectStructure();

        public Form1()
        {
            InitializeComponent();
        }

        protected override void OnPaint(PaintEventArgs e)
        {
            base.OnPaint(e);
            _objectStructure.Draw(e.Graphics, 10.0F, 10.0F);
        }

        private void button1_Click(object sender, EventArgs e)
        {
            MessageBox.Show(_objectStructure.ToXML());
        }

        private void button2_Click(object sender, EventArgs e)
        {
            _objectStructure.IncreaseBorder();
            Invalidate();
        }
    }
}
